SDL_GetVersion(3)

NAME
SDL_GetVersion - Get the version of SDL that is linked against your program.

HEADER FILE
Defined in SDL3/SDL_version.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetVersion(SDL_Version * ver);

DESCRIPTION
If you are linking to SDL dynamically, then it is possible that the current version will be different than the version you compiled against. This function returns the current version, while SDL_VERSION () is a macro that tells you what version you compiled with. This function may be called safely at any time, even before SDL_Init ().

FUNCTION PARAMETERS

ver the SDL_Version
     structure that contains the version information

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRevision(3)